#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sqludr.h"
#include "sqlcli.h"

SQLUDR_LIBFUNC SQLUDR_INT32 qa_func_vcstruct (
  SQLUDR_VC_STRUCT *in,
  SQLUDR_VC_STRUCT *out,
  SQLUDR_INT16 *inInd,
  SQLUDR_INT16 *outInd,
  SQLUDR_TRAIL_ARGS)
{
  if (calltype == SQLUDR_CALLTYPE_FINAL)
    return SQLUDR_SUCCESS;

  if (SQLUDR_GETNULLIND(inInd) == SQLUDR_NULL)
    SQLUDR_SETNULLIND(outInd);
  else
  {
    memcpy (out->data, in->data, in->length);
    out->length = in->length;
  }

  return SQLUDR_SUCCESS;
}


SQLUDR_LIBFUNC SQLUDR_INT32 qa_func_vcstruct_mvf (
  SQLUDR_VC_STRUCT *in,
  SQLUDR_VC_STRUCT *out1,
  SQLUDR_VC_STRUCT *out2,
  SQLUDR_INT16 *inInd,
  SQLUDR_INT16 *outInd1,
  SQLUDR_INT16 *outInd2,
  SQLUDR_TRAIL_ARGS)
{
  if (calltype == SQLUDR_CALLTYPE_FINAL)
    return SQLUDR_SUCCESS;

  if (SQLUDR_GETNULLIND(inInd) == SQLUDR_NULL)
  {
    SQLUDR_SETNULLIND(outInd1);
    SQLUDR_SETNULLIND(outInd2);
  }
  else
  {
    memcpy(out1->data, in->data, in->length);
    out1->length = in->length;
    memcpy(out2->data, in->data, in->length);
    out2->length = in->length;
  }

  return SQLUDR_SUCCESS;
}



